This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gcc-wwwdocs".

The branch, master has been updated
       via  dfc9b7360bcb8f50a675ecdc21c6116b717857f0 (commit)
      from  35b1a4a83807dac875aee90ed232d19ce4d313de (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit dfc9b7360bcb8f50a675ecdc21c6116b717857f0
Author: Gerald Pfeifer <ger...@pfeifer.com>
Date:   Sun Feb 2 00:02:42 2025 +0800

    preprocess: Abstract hard-coded /www/gcc/bin/preprocess-html.py
    
    Introduce a new variable PREPROCESSHTML that as an added bonus can
    be overriden from the environment.

diff --git a/bin/preprocess b/bin/preprocess
index 8bb65934..adced1f0 100755
--- a/bin/preprocess
+++ b/bin/preprocess
@@ -34,6 +34,7 @@
 # By Gerald Pfeifer <pfei...@dbai.tuwien.ac.at> 1999-12-29.
 
 MHC=${MHC-/usr/local/bin/mhc}
+PREPROCESSHTML=${PREPROCESSHTML-/www/gcc/bin/preprocess-html.py}
 
 SOURCETREE=${SOURCETREE-/www/gcc/htdocs-preformatted}
 DESTTREE=${DESTTREE-/www/gcc/htdocs}
@@ -121,8 +122,8 @@ process_html_file()
 
     # Run output.raw through a Python script, then overwrite it with the
     # output from the script.
-    if ! python3 /www/gcc/bin/preprocess-html.py $TMPDIR/output.raw 
$TMPDIR/output.after-py; then
-        echo "preprocess-html.py failed; aborting."
+    if ! python3 $PREPROCESSHTML $TMPDIR/output.raw $TMPDIR/output.after-py; 
then
+        echo "$(basename $PREPROCESSHTML) failed; aborting."
         exit 1
     fi
     mv $TMPDIR/output.after-py $TMPDIR/output.raw

-----------------------------------------------------------------------

Summary of changes:
 bin/preprocess | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)


hooks/post-receive
-- 
gcc-wwwdocs

Reply via email to